#!/bin/bash
if [ -z "$1" ]; then export PREFIX=../data; else export PREFIX=$1; fi
if [ -z $BIN ]; then export BIN=vargibbs; fi
if [ -z $VER ]; then export VER=./; fi
set -e
export WD=${VER}SL96-local
mkdir -pv $WD

$BIN  -cl=10 -me=3000 -minmethod=gsl -mm=3 -o=${WD}/SL96-local \
-par=${PREFIX}/init_s96.par \
-parid=test -calc=minlocal -data=${PREFIX}/D-SL96.dat \
-var=AT_AT:entropy,AT_CG:entropy,AT_GC:entropy,AT_TA:entropy,CG_AT:entropy,CG_CG:entropy,CG_GC:entropy,GC_AT:entropy,GC_CG:entropy,TA_AT:entropy,AT_AT:enthalpy,AT_CG:enthalpy,AT_GC:enthalpy,AT_TA:enthalpy,CG_AT:enthalpy,CG_CG:enthalpy,CG_GC:enthalpy,GC_AT:enthalpy,GC_CG:enthalpy,TA_AT:enthalpy,initiation_CG_entropy,initiation_AT_entropy,terminal_5TA3_enthalpy,symmetry_correction_entropy

$BIN  -o=${WD}/SL96-local-prediction -par=$WD/SL96-local.par \
-calc=prediction -data=${PREFIX}/D-SL96.dat
